/*******************************************************************************
 * Copyright (c) 2011 Martin Schwengerer.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Martin Schwengerer - initial API and implementation
 ******************************************************************************/
package aspmodificator.model;

public class CommentLine extends LineBase {

	private String text;

	public CommentLine(String t) {
		this.text = t;
	}

	public CommentLine(String t, int lineNo) {
		super(lineNo);
		this.text = t;
	}

	@Override
	public Object clone() throws CloneNotSupportedException {
		return new CommentLine(text, startLineNo);
	}

	@Override
	public String toOutputString() {
		return toString();
	}

	@Override
	public String toString() {
		return text;
	}

}
