/*******************************************************************************
 * Copyright (c) 2011 Martin Schwengerer.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Martin Schwengerer - initial API and implementation
 ******************************************************************************/
/**
 * 
 */
package common;

/**
 * @author Martin
 * 
 */
public class Tripple<S1, S2, S3> {
	protected S1 first;
	protected S2 second;
	protected S3 third;

	public Tripple(S1 first, S2 second, S3 third) {
		super();
		this.first = first;
		this.second = second;
		this.third = third;
	}

	/**
	 * @return the first
	 */
	public S1 getFirst() {
		return first;
	}

	/**
	 * @return the second
	 */
	public S2 getSecond() {
		return second;
	}

	/**
	 * @return the third
	 */
	public S3 getThird() {
		return third;
	}

	/**
	 * @param first
	 *            the first to set
	 */
	public void setFirst(S1 first) {
		this.first = first;
	}

	/**
	 * @param second
	 *            the second to set
	 */
	public void setSecond(S2 second) {
		this.second = second;
	}

	/**
	 * @param third
	 *            the third to set
	 */
	public void setThird(S3 third) {
		this.third = third;
	}

	@Override
	public String toString() {
		return "(" + first + ", " + second + ", " + third + ")";
	}

}
