/*******************************************************************************
 * Copyright (c) 2011 Martin Schwengerer.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Martin Schwengerer - initial API and implementation
 ******************************************************************************/
package aspmodificator.modificationrules.gringo;

public enum ModificationRuleTypeEnum {
	RDP, // delete proper rule
	RDC, // delete constraint
	RDF, // delete fact
	LDB, // delete body literal
	LDH, // delete head literal
	LAD, // add default negation
	LRD, // remove default negation
	LAS, // add strong negation
	LRS, // remove strong negation
	LRP, // rename predicate
	LRC, // replace comparison relation
	ARO, // replace arithmetic operator
	ATV, // twiddle variable domain
	ATA, // twiddle aggregate bound
	ATW, // twiddle aggregate weight
	TST, // swap terms in literals
	TVC, // change variable to constant
	TRV, // rename variable
	TCV, // change constant to variable
	TRC, // rename constant
	SDN, // switch default negation
	SSN, // switch strong negation
	LDA, // delete head or body literal
	TODO, // TODO
}
